#! /bin/sh

#Variables

userdirs=$HOME/.config/user-dirs.dirs
mpddir=/var/lib/mpd/music
linkcheck=`ls -l $mpddir | grep $USER | cut -d ' ' -f10`
musicdir=

#/Variables


#Functions

mpddir () {

if [ -d "$mpddir/$USER" -a -d "$linkcheck" ]
then
	echo "MPD link already setup"
	exit
else
	while [ "$musicdir" = "" ]
	do
		checkconfig
		echo "Music directory is $musicdir"
	done
	
#create dir if it doesn't exist
	if [ ! -d "$HOME/$musicdir" ]
	then
		mkdir "$HOME/$musicdir"
		chown -R $USER:$USER "$HOME/$musicdir"
	fi

#create the link
	ln -f -s "$HOME/$musicdir" "$mpddir/$USER"
	exit
fi

}

checkconfig () {

while [ ! -f $userdirs ]
do
	sleep 1
done

musicdir=`cat $userdirs | grep "XDG_MUSIC_DIR" | cut -d '/' -f2 | sed s/\"//`

}

#/Functions

mpddir
exit
